hslua-packaging-2.3.1: Utilities to build Lua modules.

Copyright | © 2020-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Stability | alpha
Portability | Portable
Safe Haskell | None
Language | Haskell2010

HsLua.Packaging.Rendering

Contents

- Documentation

Description

Deprecated: Use getdocumentation with a custom renderer.

Render function and module documentation.

Synopsis

- render :: Module e -> Text
- renderModule :: Module e -> Text
- renderFunction :: DocumentedFunction e -> Text

# Documentation

render :: Module e -> Text Source #

Alias for `renderModule`.

renderModule :: Module e -> Text Source #

Renders module documentation as Markdown.

renderFunction Source #

Arguments

:: DocumentedFunction e | function
-> Text | function docs

Renders documentation of a function.